Managed Service for Trino API, REST: Cluster.Create
- HTTP request
- Body parameters
- TrinoConfigSpec
- CatalogSpec
- Connector
- HiveConnector
- Metastore
- HiveMetastore
- Protocol
- RestMetastore
- Authorization
- FileSystem
- ExternalS3FileSystem
- IcebergConnector
- DeltaLakeConnector
- PostgresqlConnector
- PostgresqlConnection
- OnPremise
- ConnectionManager
- ClickhouseConnector
- ClickhouseConnection
- OnPremise
- ConnectionManager
- TPCHConnector
- TPCDSConnector
- OracleConnector
- OracleConnection
- OnPremise
- SQLServerConnector
- SQLServerConnection
- OnPremise
- HudiConnector
- MysqlConnector
- MysqlConnection
- OnPremise
- ConnectionManager
- GreenplumConnector
- GreenplumConnection
- OnPremise
- ConnectionManager
- CoordinatorConfig
- Resources
- WorkerConfig
- WorkerScalePolicy
- FixedScalePolicy
- AutoScalePolicy
- RetryPolicyConfig
- ExchangeManagerConfig
- ExchangeManagerStorage
- S3
- AccessControlConfig
- CatalogAccessRule
- CatalogAccessRuleMatcher
- CatalogIds
- CatalogNames
- SchemaAccessRule
- SchemaAccessRuleMatcher
- SchemaNames
- TableAccessRule
- TableAccessRuleMatcher
- TableNames
- Column
- FunctionAccessRule
- FunctionAccessRuleMatcher
- FunctionNames
- ProcedureAccessRule
- ProcedureAccessRuleMatcher
- ProcedureNames
- QueryAccessRule
- SystemSessionPropertyAccessRule
- PropertyAccessRuleMatcher
- PropertyNames
- CatalogSessionPropertyAccessRule
- ResourceManagementConfig
- ResourceGroupsConfig
- ResourceGroupConfig
- SelectorRuleConfig
- QueryConfig
- TLSConfig
- NetworkConfig
- PrivateAccessConfig
- LoggingConfig
- MaintenanceWindow
- WeeklyMaintenanceWindow
- Response
- Status
Creates a Trino Cluster resource.
HTTP request
POST https://trino.api.yandexcloud.kz/managed-trino/v1/clusters
Body parameters
{
"folderId": "string",
"name": "string",
"description": "string",
"labels": "object",
"trino": {
"catalogs": [
{
"name": "string",
"connector": {
// Includes only one of the fields `hive`, `iceberg`, `deltaLake`, `postgresql`, `clickhouse`, `tpch`, `tpcds`, `oracle`, `sqlserver`, `hudi`, `mysql`, `greenplum`
"hive": {
"metastore": {
// Includes only one of the fields `hive`, `rest`
"hive": {
// Includes only one of the fields `uri`, `managedClusterId`
"uri": "string",
"managedClusterId": "string",
// end of the list of possible fields
"protocol": {
// Includes only one of the fields `thrift`, `rest`
"thrift": "object",
"rest": "object"
// end of the list of possible fields
}
},
"rest": {
"uri": "string",
"authorization": {
// Includes only one of the fields `none`
"none": "object"
// end of the list of possible fields
}
}
// end of the list of possible fields
},
"filesystem": {
// Includes only one of the fields `s3`, `externalS3`
"s3": "object",
"externalS3": {
"awsAccessKey": "string",
"awsSecretKey": "string",
"awsEndpoint": "string",
"awsRegion": "string"
}
// end of the list of possible fields
},
"additionalProperties": "object"
},
"iceberg": {
"metastore": {
// Includes only one of the fields `hive`, `rest`
"hive": {
// Includes only one of the fields `uri`, `managedClusterId`
"uri": "string",
"managedClusterId": "string",
// end of the list of possible fields
"protocol": {
// Includes only one of the fields `thrift`, `rest`
"thrift": "object",
"rest": "object"
// end of the list of possible fields
}
},
"rest": {
"uri": "string",
"authorization": {
// Includes only one of the fields `none`
"none": "object"
// end of the list of possible fields
}
}
// end of the list of possible fields
},
"filesystem": {
// Includes only one of the fields `s3`, `externalS3`
"s3": "object",
"externalS3": {
"awsAccessKey": "string",
"awsSecretKey": "string",
"awsEndpoint": "string",
"awsRegion": "string"
}
// end of the list of possible fields
},
"additionalProperties": "object"
},
"deltaLake": {
"metastore": {
// Includes only one of the fields `hive`, `rest`
"hive": {
// Includes only one of the fields `uri`, `managedClusterId`
"uri": "string",
"managedClusterId": "string",
// end of the list of possible fields
"protocol": {
// Includes only one of the fields `thrift`, `rest`
"thrift": "object",
"rest": "object"
// end of the list of possible fields
}
},
"rest": {
"uri": "string",
"authorization": {
// Includes only one of the fields `none`
"none": "object"
// end of the list of possible fields
}
}
// end of the list of possible fields
},
"filesystem": {
// Includes only one of the fields `s3`, `externalS3`
"s3": "object",
"externalS3": {
"awsAccessKey": "string",
"awsSecretKey": "string",
"awsEndpoint": "string",
"awsRegion": "string"
}
// end of the list of possible fields
},
"additionalProperties": "object"
},
"postgresql": {
"connection": {
// Includes only one of the fields `onPremise`, `connectionManager`
"onPremise": {
"connectionUrl": "string",
"userName": "string",
"password": "string"
},
"connectionManager": {
"connectionId": "string",
"database": "string",
"connectionProperties": "object"
}
// end of the list of possible fields
},
"additionalProperties": "object"
},
"clickhouse": {
"connection": {
// Includes only one of the fields `onPremise`, `connectionManager`
"onPremise": {
"connectionUrl": "string",
"userName": "string",
"password": "string"
},
"connectionManager": {
"connectionId": "string",
"database": "string",
"connectionProperties": "object"
}
// end of the list of possible fields
},
"additionalProperties": "object"
},
"tpch": {
"additionalProperties": "object"
},
"tpcds": {
"additionalProperties": "object"
},
"oracle": {
"connection": {
// Includes only one of the fields `onPremise`
"onPremise": {
"connectionUrl": "string",
"userName": "string",
"password": "string"
}
// end of the list of possible fields
},
"additionalProperties": "object"
},
"sqlserver": {
"connection": {
// Includes only one of the fields `onPremise`
"onPremise": {
"connectionUrl": "string",
"userName": "string",
"password": "string"
}
// end of the list of possible fields
},
"additionalProperties": "object"
},
"hudi": {
"metastore": {
// Includes only one of the fields `hive`, `rest`
"hive": {
// Includes only one of the fields `uri`, `managedClusterId`
"uri": "string",
"managedClusterId": "string",
// end of the list of possible fields
"protocol": {
// Includes only one of the fields `thrift`, `rest`
"thrift": "object",
"rest": "object"
// end of the list of possible fields
}
},
"rest": {
"uri": "string",
"authorization": {
// Includes only one of the fields `none`
"none": "object"
// end of the list of possible fields
}
}
// end of the list of possible fields
},
"filesystem": {
// Includes only one of the fields `s3`, `externalS3`
"s3": "object",
"externalS3": {
"awsAccessKey": "string",
"awsSecretKey": "string",
"awsEndpoint": "string",
"awsRegion": "string"
}
// end of the list of possible fields
},
"additionalProperties": "object"
},
"mysql": {
"connection": {
// Includes only one of the fields `onPremise`, `connectionManager`
"onPremise": {
"connectionUrl": "string",
"userName": "string",
"password": "string"
},
"connectionManager": {
"connectionId": "string",
"connectionProperties": "object"
}
// end of the list of possible fields
},
"additionalProperties": "object"
},
"greenplum": {
"connection": {
// Includes only one of the fields `onPremise`, `connectionManager`
"onPremise": {
"connectionUrl": "string",
"userName": "string",
"password": "string"
},
"connectionManager": {
"connectionId": "string",
"database": "string",
"connectionProperties": "object"
}
// end of the list of possible fields
},
"additionalProperties": "object"
}
// end of the list of possible fields
},
"description": "string",
"labels": "object"
}
],
"coordinatorConfig": {
"resources": {
"resourcePresetId": "string"
}
},
"workerConfig": {
"resources": {
"resourcePresetId": "string"
},
"scalePolicy": {
// Includes only one of the fields `fixedScale`, `autoScale`
"fixedScale": {
"count": "string"
},
"autoScale": {
"minCount": "string",
"maxCount": "string"
}
// end of the list of possible fields
}
},
"retryPolicy": {
"policy": "string",
"exchangeManager": {
"additionalProperties": "object",
"storage": {
// Includes only one of the fields `serviceS3`, `s3`
"serviceS3": "object",
"s3": {
"bucket": "string"
}
// end of the list of possible fields
}
},
"additionalProperties": "object"
},
"version": "string",
"accessControl": {
"catalogs": [
{
"users": [
"string"
],
"groups": [
"string"
],
"catalog": {
// Includes only one of the fields `nameRegexp`, `ids`, `names`
"nameRegexp": "string",
"ids": {
"any": [
"string"
]
},
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"permission": "string",
"description": "string"
}
],
"schemas": [
{
"users": [
"string"
],
"groups": [
"string"
],
"catalog": {
// Includes only one of the fields `nameRegexp`, `ids`, `names`
"nameRegexp": "string",
"ids": {
"any": [
"string"
]
},
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"schema": {
// Includes only one of the fields `nameRegexp`, `names`
"nameRegexp": "string",
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"owner": "string",
"description": "string"
}
],
"tables": [
{
"users": [
"string"
],
"groups": [
"string"
],
"catalog": {
// Includes only one of the fields `nameRegexp`, `ids`, `names`
"nameRegexp": "string",
"ids": {
"any": [
"string"
]
},
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"schema": {
// Includes only one of the fields `nameRegexp`, `names`
"nameRegexp": "string",
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"table": {
// Includes only one of the fields `nameRegexp`, `names`
"nameRegexp": "string",
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"privileges": [
"string"
],
"columns": [
{
"name": "string",
"access": "string",
"mask": "string"
}
],
"filter": "string",
"description": "string"
}
],
"functions": [
{
"users": [
"string"
],
"groups": [
"string"
],
"catalog": {
// Includes only one of the fields `nameRegexp`, `ids`, `names`
"nameRegexp": "string",
"ids": {
"any": [
"string"
]
},
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"schema": {
// Includes only one of the fields `nameRegexp`, `names`
"nameRegexp": "string",
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"function": {
// Includes only one of the fields `nameRegexp`, `names`
"nameRegexp": "string",
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"privileges": [
"string"
],
"description": "string"
}
],
"procedures": [
{
"users": [
"string"
],
"groups": [
"string"
],
"catalog": {
// Includes only one of the fields `nameRegexp`, `ids`, `names`
"nameRegexp": "string",
"ids": {
"any": [
"string"
]
},
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"schema": {
// Includes only one of the fields `nameRegexp`, `names`
"nameRegexp": "string",
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"procedure": {
// Includes only one of the fields `nameRegexp`, `names`
"nameRegexp": "string",
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"privileges": [
"string"
],
"description": "string"
}
],
"queries": [
{
"users": [
"string"
],
"groups": [
"string"
],
"queryOwners": [
"string"
],
"privileges": [
"string"
],
"description": "string"
}
],
"systemSessionProperties": [
{
"users": [
"string"
],
"groups": [
"string"
],
"property": {
// Includes only one of the fields `nameRegexp`, `names`
"nameRegexp": "string",
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"allow": "string",
"description": "string"
}
],
"catalogSessionProperties": [
{
"users": [
"string"
],
"groups": [
"string"
],
"catalog": {
// Includes only one of the fields `nameRegexp`, `ids`, `names`
"nameRegexp": "string",
"ids": {
"any": [
"string"
]
},
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"property": {
// Includes only one of the fields `nameRegexp`, `names`
"nameRegexp": "string",
"names": {
"any": [
"string"
]
}
// end of the list of possible fields
},
"allow": "string",
"description": "string"
}
]
},
"resourceManagement": {
"resourceGroups": {
"rootGroups": [
{
"name": "string",
"maxQueued": "string",
"softConcurrencyLimit": "string",
"hardConcurrencyLimit": "string",
"softMemoryLimit": "string",
"softCpuLimit": "string",
"hardCpuLimit": "string",
"schedulingPolicy": "string",
"schedulingWeight": "string",
"subGroups": [
"object"
]
}
],
"selectors": [
{
"user": "string",
"userGroup": "string",
"source": "string",
"queryType": "string",
"clientTags": [
"string"
],
"group": "string"
}
],
"cpuQuotaPeriod": "string"
},
"query": {
"properties": "object"
}
},
"tls": {
"trustedCertificates": [
"string"
]
}
},
"network": {
"subnetIds": [
"string"
],
"securityGroupIds": [
"string"
],
"privateAccess": {
"enabled": "boolean"
}
},
"deletionProtection": "boolean",
"serviceAccountId": "string",
"logging": {
// Includes only one of the fields `folderId`, `logGroupId`
"folderId": "string",
"logGroupId": "string",
// end of the list of possible fields
"enabled": "boolean",
"minLevel": "string"
},
"maintenanceWindow": {
// Includes only one of the fields `anytime`, `weeklyMaintenanceWindow`
"anytime": "object",
"weeklyMaintenanceWindow": {
"day": "string",
"hour": "string"
}
// end of the list of possible fields
}
}
|
Field |
Description |
|
folderId |
string Required field. ID of the folder to create Trino cluster in. The maximum string length in characters is 50. |
|
name |
string Required field. Name of the Trino cluster. The name must be unique within the folder. The maximum string length in characters is 63. Value must match the regular expression |
|
description |
string Description of the Trino cluster. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) Custom labels for the Trino cluster as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
trino |
Required field. Configuration of Trino components. |
|
network |
Required field. Network related configuration options. |
|
deletionProtection |
boolean Deletion Protection inhibits deletion of the cluster. |
|
serviceAccountId |
string Required field. Service account used to access Cloud resources. The maximum string length in characters is 50. |
|
logging |
Cloud logging configuration. |
|
maintenanceWindow |
Window of maintenance operations. |
TrinoConfigSpec
|
Field |
Description |
|
catalogs[] |
List of catalogs that enable integration with various data sources. |
|
coordinatorConfig |
Required field. Configuration for the coordinator, specifying computational resources and other settings. |
|
workerConfig |
Required field. Configuration for worker nodes, including scaling policy and computational resources. |
|
retryPolicy |
Configuration for retry policy, specifying the spooling storage destination and other settings. |
|
version |
string Trino version. |
|
accessControl |
Configuration for access control, specifying the fine-grained access rules. |
|
resourceManagement |
Configuration for cluster resource management, specifying the resource groups. |
|
tls |
Configuration for TLS. |
CatalogSpec
CatalogSpec defines the desired state of a new catalog.
|
Field |
Description |
|
name |
string Required field. Name of the catalog. The maximum string length in characters is 63. Value must match the regular expression |
|
connector |
Required field. Connector backing this catalog. |
|
description |
string Description of the catalog. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) Labels associated with the catalog. The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
Connector
Connector configuration. Exactly one connector type must be specified.
|
Field |
Description |
|
hive |
Hive connector configuration. Includes only one of the fields |
|
iceberg |
Iceberg connector configuration. Includes only one of the fields |
|
deltaLake |
Delta Lake connector configuration. Includes only one of the fields |
|
postgresql |
PostgreSQL connector configuration. Includes only one of the fields |
|
clickhouse |
ClickHouse connector configuration. Includes only one of the fields |
|
tpch |
TPC-H connector for synthetic benchmarking. Includes only one of the fields |
|
tpcds |
TPC-DS connector for synthetic benchmarking. Includes only one of the fields |
|
oracle |
Oracle connector configuration for connecting to Oracle Database instances. Includes only one of the fields |
|
sqlserver |
SQLServer connector configuration for connecting to SQLServer Database instances. Includes only one of the fields |
|
hudi |
Hudi connector configuration. Includes only one of the fields |
|
mysql |
MySQL connector configuration for connecting to MySQL Database instances. Includes only one of the fields |
|
greenplum |
Greenplum connector configuration for connecting to Greenplum or Cloudberry Database instances. Includes only one of the fields |
HiveConnector
|
Field |
Description |
|
metastore |
Required field. Metastore configuration. |
|
filesystem |
Required field. File system configuration. |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
Metastore
Metastore configuration.
|
Field |
Description |
|
hive |
Apache Hive Metastore. Includes only one of the fields |
|
rest |
Iceberg REST Catalog compatible Metastore. Includes only one of the fields |
HiveMetastore
Configuration of Hive's metastore type.
|
Field |
Description |
|
uri |
string URI of the Hive Metastore. Includes only one of the fields |
|
managedClusterId |
string ID of the Managed Hive Metastore cluster. Includes only one of the fields |
|
protocol |
Hive metastore client protocol. If null, thrift protocol will be used. |
Protocol
Hive Metastore client protocol configuration.
|
Field |
Description |
|
thrift |
object Thrift client protocol. Includes only one of the fields |
|
rest |
object Iceberg REST client protocol. Includes only one of the fields |
RestMetastore
Configuration of Iceberg REST Catalog compatible metastore type.
|
Field |
Description |
|
uri |
string URI of the REST Catalog metastore. |
|
authorization |
Authorization properties. |
Authorization
|
Field |
Description |
|
none |
object Disabled authorization Includes only one of the fields |
FileSystem
Configuration of file system used by a connector.
|
Field |
Description |
|
s3 |
object Yandex Cloud S3 filesystem. Includes only one of the fields |
|
externalS3 |
External S3 filesystem. Includes only one of the fields |
ExternalS3FileSystem
Describes External S3 compatible file system.
|
Field |
Description |
|
awsAccessKey |
string Required field. AWS access key. |
|
awsSecretKey |
string Required field. AWS secret key. |
|
awsEndpoint |
string Required field. AWS endpoint. Value must match the regular expression |
|
awsRegion |
string Required field. AWS region. |
IcebergConnector
|
Field |
Description |
|
metastore |
Required field. Metastore configuration. |
|
filesystem |
Required field. File system configuration. |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
DeltaLakeConnector
|
Field |
Description |
|
metastore |
Required field. Metastore configuration. |
|
filesystem |
Required field. File system configuration. |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
PostgresqlConnector
|
Field |
Description |
|
connection |
Connection configuration. |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
PostgresqlConnection
|
Field |
Description |
|
onPremise |
Connection configured manually. Includes only one of the fields |
|
connectionManager |
Connection configured using Yandex Cloud Connection Manager. Includes only one of the fields |
OnPremise
|
Field |
Description |
|
connectionUrl |
string Required field. Connection to the Postgresql. Value must match the regular expression |
|
userName |
string Required field. Name of the Postgresql user. The maximum string length in characters is 63. Value must match the regular expression |
|
password |
string Required field. Password of the Postgresql user. The string length in characters must be 0-128. |
ConnectionManager
|
Field |
Description |
|
connectionId |
string Required field. Connection ID. The string length in characters must be 1-50. |
|
database |
string Required field. Database. The maximum string length in characters is 63. Value must match the regular expression |
|
connectionProperties |
object (map<string, string>) Additional connection properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
ClickhouseConnector
|
Field |
Description |
|
connection |
Connection configuration. |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
ClickhouseConnection
|
Field |
Description |
|
onPremise |
Connection configured manually. Includes only one of the fields |
|
connectionManager |
Connection configured using Yandex Cloud Connection Manager. Includes only one of the fields |
OnPremise
|
Field |
Description |
|
connectionUrl |
string Required field. Connection to the Clickhouse. Value must match the regular expression |
|
userName |
string Required field. Name of the Clickhouse user. The maximum string length in characters is 63. Value must match the regular expression |
|
password |
string Required field. Password of the Clickhouse user. The string length in characters must be 0-128. |
ConnectionManager
|
Field |
Description |
|
connectionId |
string Required field. Connection ID. The string length in characters must be 1-50. |
|
database |
string Required field. Database. The maximum string length in characters is 63. Value must match the regular expression |
|
connectionProperties |
object (map<string, string>) Additional connection properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
TPCHConnector
|
Field |
Description |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
TPCDSConnector
|
Field |
Description |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
OracleConnector
|
Field |
Description |
|
connection |
Connection configuration. |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
OracleConnection
|
Field |
Description |
|
onPremise |
Connection configured manually. Includes only one of the fields |
OnPremise
|
Field |
Description |
|
connectionUrl |
string Required field. Connection to the Oracle. Value must match the regular expression |
|
userName |
string Required field. Name of the Oracle user. The maximum string length in characters is 63. Value must match the regular expression |
|
password |
string Required field. Password of the Oracle user. The string length in characters must be 0-128. |
SQLServerConnector
|
Field |
Description |
|
connection |
Connection configuration. |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
SQLServerConnection
|
Field |
Description |
|
onPremise |
Connection configured manually. Includes only one of the fields |
OnPremise
|
Field |
Description |
|
connectionUrl |
string Required field. Connection to the SQLServer. Value must match the regular expression |
|
userName |
string Required field. Name of the SQLServer user. The maximum string length in characters is 63. Value must match the regular expression |
|
password |
string Required field. Password of the SQLServer user. The string length in characters must be 0-128. |
HudiConnector
|
Field |
Description |
|
metastore |
Required field. Metastore configuration. |
|
filesystem |
Required field. File system configuration. |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
MysqlConnector
|
Field |
Description |
|
connection |
Connection configuration. |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
MysqlConnection
|
Field |
Description |
|
onPremise |
Connection configured manually. Includes only one of the fields |
|
connectionManager |
Connection configured using Yandex Cloud Connection Manager. Includes only one of the fields |
OnPremise
|
Field |
Description |
|
connectionUrl |
string Required field. Connection to the MySQL. Value must match the regular expression |
|
userName |
string Required field. Name of the MySQL user. The maximum string length in characters is 63. Value must match the regular expression |
|
password |
string Required field. Password of the MySQL user. The string length in characters must be 0-128. |
ConnectionManager
|
Field |
Description |
|
connectionId |
string Required field. Connection ID. The string length in characters must be 1-50. |
|
connectionProperties |
object (map<string, string>) Additional connection properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
GreenplumConnector
|
Field |
Description |
|
connection |
Connection configuration |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
GreenplumConnection
|
Field |
Description |
|
onPremise |
Connection configured manually. Includes only one of the fields |
|
connectionManager |
Connection configured using Yandex Cloud Connection Manager. Includes only one of the fields |
OnPremise
|
Field |
Description |
|
connectionUrl |
string Required field. Connection to the Greenplum/Cloudberry. Value must match the regular expression |
|
userName |
string Required field. Name of the Greenplum/Cloudberry user. The maximum string length in characters is 63. Value must match the regular expression |
|
password |
string Required field. Password of the Greenplum/Cloudberry user. The string length in characters must be 0-128. |
ConnectionManager
|
Field |
Description |
|
connectionId |
string Required field. Connection ID. The string length in characters must be 1-50. |
|
database |
string Required field. Database. The maximum string length in characters is 63. Value must match the regular expression |
|
connectionProperties |
object (map<string, string>) Additional connection properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
CoordinatorConfig
|
Field |
Description |
|
resources |
Required field. Configuration for computational resources assigned to the coordinator instance. |
Resources
|
Field |
Description |
|
resourcePresetId |
string Required field. ID of the preset for computational resources allocated to a instance (e.g., CPU, memory, etc.). The maximum string length in characters is 50. |
WorkerConfig
|
Field |
Description |
|
resources |
Required field. Configuration for computational resources for worker instances. |
|
scalePolicy |
Required field. Configuration for scaling policy for worker instances. |
WorkerScalePolicy
|
Field |
Description |
|
fixedScale |
A fixed scaling policy that specifies a fixed number of worker instances. Includes only one of the fields Defines the scaling type for worker instances. |
|
autoScale |
A scaling policy that dynamically adjusts the number of worker instances Includes only one of the fields Defines the scaling type for worker instances. |
FixedScalePolicy
|
Field |
Description |
|
count |
string (int64) Specifies the number of worker instances. Acceptable values are 1 to 512, inclusive. |
AutoScalePolicy
|
Field |
Description |
|
minCount |
string (int64) Minimum number of worker instances. Acceptable values are 0 to 512, inclusive. |
|
maxCount |
string (int64) Maximum number of worker instances. Acceptable values are 1 to 512, inclusive. |
RetryPolicyConfig
|
Field |
Description |
|
policy |
enum (RetryPolicy) Retry policy level.
|
|
exchangeManager |
Configuration for exchange manager. |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
ExchangeManagerConfig
|
Field |
Description |
|
additionalProperties |
object (map<string, string>) Additional properties. The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression |
|
storage |
Storage for spooled data by exchange manager. |
ExchangeManagerStorage
|
Field |
Description |
|
serviceS3 |
object Use a service side S3 bucket for exchange manager. Includes only one of the fields |
|
s3 |
Use an S3 bucket for exchange manager. Includes only one of the fields |
S3
|
Field |
Description |
|
bucket |
string Required field. Name of the bucket to be used as the spool destination for exchange manager. |
AccessControlConfig
|
Field |
Description |
|
catalogs[] |
Catalog access control rules. |
|
schemas[] |
Schema access control rules. |
|
tables[] |
Table access control rules. |
|
functions[] |
Function access control rules. |
|
procedures[] |
Procedures access control rules. |
|
queries[] |
Queries access control rules. |
|
systemSessionProperties[] |
SystemSessionPropertyAccessRule System session property access control rules. |
|
catalogSessionProperties[] |
CatalogSessionPropertyAccessRule Catalog session property access control rules. |
CatalogAccessRule
|
Field |
Description |
|
users[] |
string IAM user IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
groups[] |
string IAM group IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
catalog |
Catalog matcher specifying what catalogs the rule is applied to. |
|
permission |
enum (Permission) Required field. Permission granted by the rule.
|
|
description |
string Rule description. The maximum string length in characters is 128. |
CatalogAccessRuleMatcher
|
Field |
Description |
|
nameRegexp |
string Catalog name regexp the rule is applied to. The maximum string length in characters is 256. Includes only one of the fields |
|
ids |
Catalog IDs rule is applied to. Includes only one of the fields |
|
names |
Catalog names rule is applied to. Includes only one of the fields |
CatalogIds
|
Field |
Description |
|
any[] |
string List of table names. The rule will be applied if a table name is within this list. The maximum string length in characters for each value is 63. The maximum number of elements is 128. |
CatalogNames
|
Field |
Description |
|
any[] |
string List of catalog names. The rule will be applied if a catalog name is within this list. The maximum string length in characters for each value is 63. The maximum number of elements is 128. |
SchemaAccessRule
|
Field |
Description |
|
users[] |
string IAM user IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
groups[] |
string IAM group IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
catalog |
Catalog matcher specifying what catalogs the rule is applied to. |
|
schema |
Schema matcher specifying what schemas the rule is applied to. |
|
owner |
enum (Owner) Required field. Ownership granted by the rule.
|
|
description |
string Rule description. The maximum string length in characters is 128. |
SchemaAccessRuleMatcher
|
Field |
Description |
|
nameRegexp |
string Schema name regexp the rule is applied to. The maximum string length in characters is 256. Includes only one of the fields |
|
names |
Schema names the rule is applied to. Includes only one of the fields |
SchemaNames
|
Field |
Description |
|
any[] |
string List of schema names. The rule will be applied if a schema name is within this list. The maximum string length in characters for each value is 63. Each value must match the regular expression |
TableAccessRule
|
Field |
Description |
|
users[] |
string IAM user IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
groups[] |
string IAM group IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
catalog |
Catalog matcher specifying what catalogs the rule is applied to. |
|
schema |
Schema matcher specifying what schemas the rule is applied to. |
|
table |
Table matcher specifying what tables the rule is applied to. |
|
privileges[] |
enum (Privilege) Permission granted by the rule.
|
|
columns[] |
Column rules. |
|
filter |
string Boolean SQL expression to filter table rows for particular user. The maximum string length in characters is 128. |
|
description |
string Rule description. The maximum string length in characters is 128. |
TableAccessRuleMatcher
|
Field |
Description |
|
nameRegexp |
string Table name regexp the rule is applied to. The maximum string length in characters is 256. Includes only one of the fields |
|
names |
Table names the rule is applied to. Includes only one of the fields |
TableNames
|
Field |
Description |
|
any[] |
string List of table names. The rule will be applied if a table name is within this list. The maximum string length in characters for each value is 63. Each value must match the regular expression |
Column
|
Field |
Description |
|
name |
string Required field. Column name. The maximum string length in characters is 63. Value must match the regular expression |
|
access |
enum (AccessMode) Required field. Column access mode.
|
|
mask |
string SQL expression mask to evaluate instead of original column values. The maximum string length in characters is 128. |
FunctionAccessRule
|
Field |
Description |
|
users[] |
string IAM user IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
groups[] |
string IAM group IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
catalog |
Catalog matcher specifying what catalogs the rule is applied to. |
|
schema |
Schema matcher specifying what schema the rule is applied to. |
|
function |
Function matcher specifying what functions the rule is applied to. |
|
privileges[] |
enum (Privilege) Privileges granted by the rule.
|
|
description |
string Rule description. The maximum string length in characters is 128. |
FunctionAccessRuleMatcher
|
Field |
Description |
|
nameRegexp |
string Function name regexp the rule is applied to. The maximum string length in characters is 256. Includes only one of the fields |
|
names |
Function names the rule is applied to. Includes only one of the fields |
FunctionNames
|
Field |
Description |
|
any[] |
string List of function names. The rule will be applied if a function name is within this list. The maximum string length in characters for each value is 63. Each value must match the regular expression |
ProcedureAccessRule
|
Field |
Description |
|
users[] |
string IAM user IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
groups[] |
string IAM group IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
catalog |
Catalog matcher specifying what catalogs the rule is applied to. |
|
schema |
Schema matcher specifying what schema the rule is applied to. |
|
procedure |
Procedure matcher specifying what functions the rule is applied to. |
|
privileges[] |
enum (Privilege) Privileges granted by the rule.
|
|
description |
string Rule description. The maximum string length in characters is 128. |
ProcedureAccessRuleMatcher
|
Field |
Description |
|
nameRegexp |
string Procedure name regexp the rule is applied to. The maximum string length in characters is 256. Includes only one of the fields |
|
names |
Procedure names the rule is applied to. Includes only one of the fields |
ProcedureNames
|
Field |
Description |
|
any[] |
string List of procedure names. The rule will be applied if a procedure name is within this list. The maximum string length in characters for each value is 63. Each value must match the regular expression |
QueryAccessRule
|
Field |
Description |
|
users[] |
string IAM user IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
groups[] |
string IAM group IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
queryOwners[] |
string Owners of queries the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
privileges[] |
enum (Privilege) Privileges granted by the user.
|
|
description |
string Rule description. The maximum string length in characters is 128. |
SystemSessionPropertyAccessRule
|
Field |
Description |
|
users[] |
string IAM user IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
groups[] |
string IAM group IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
property |
Property matcher specifying what properties the rule is applied to. |
|
allow |
enum (Allow) Required field. Whether the rule allows setting the property.
|
|
description |
string Rule description. The maximum string length in characters is 128. |
PropertyAccessRuleMatcher
|
Field |
Description |
|
nameRegexp |
string Property name regexp the rule is applied to. The maximum string length in characters is 256. Includes only one of the fields |
|
names |
Property names the rule is applied to. Includes only one of the fields |
PropertyNames
|
Field |
Description |
|
any[] |
string List of property names. The rule will be applied if a property name is within this list. The maximum string length in characters for each value is 63. Each value must match the regular expression |
CatalogSessionPropertyAccessRule
|
Field |
Description |
|
users[] |
string IAM user IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
groups[] |
string IAM group IDs the rule is applied to. The maximum string length in characters for each value is 63. Each value must match the regular expression |
|
catalog |
Catalog matcher specifying what catalogs the rule is applied to. |
|
property |
Property matcher specifying what properties the rule is applied to. |
|
allow |
enum (Allow) Required field. Whether the rule allows setting the property.
|
|
description |
string Rule description. The maximum string length in characters is 128. |
ResourceManagementConfig
|
Field |
Description |
|
resourceGroups |
Resource groups configuration. |
|
query |
Query management confiugration. |
ResourceGroupsConfig
|
Field |
Description |
|
rootGroups[] |
Root resource groups configuration. The number of elements must be greater than 0. |
|
selectors[] |
Selector rules for routing queries to resource groups. The number of elements must be greater than 0. |
|
cpuQuotaPeriod |
string Period for CPU quota calculations. |
ResourceGroupConfig
|
Field |
Description |
|
name |
string Required field. Resource group name. |
|
maxQueued |
string (int64) Maximum number of queued queries. Value must be greater than 0. |
|
softConcurrencyLimit |
string (int64) Number of concurrently running queries after which new queries only run if peer groups are below soft limits. |
|
hardConcurrencyLimit |
string (int64) Maximum number of queries that can run concurrently. Value must be greater than 0. |
|
softMemoryLimit |
string Maximum amount of distributed memory this group can use. |
|
softCpuLimit |
string Maximum CPU time per period this group can use before applying penalty to running queries (requires hard_cpu_limit). |
|
hardCpuLimit |
string Maximum CPU time per period this group can use. |
|
schedulingPolicy |
enum (SchedulingPolicy) Policy for selecting queued queries and sub-group eligibility.
|
|
schedulingWeight |
string (int64) Weight for weighted and weighted_fair scheduling policies. |
|
subGroups[] |
List of sub-groups. |
SelectorRuleConfig
|
Field |
Description |
|
user |
string Regex to match against username. |
|
userGroup |
string Regex to match against user groups. |
|
source |
string Regex to match against query source. |
|
queryType |
enum (QueryType) Type of query to match.
|
|
clientTags[] |
string Tags that must all be present in the query's client tags. |
|
group |
string Required field. Target resource group name. |
QueryConfig
|
Field |
Description |
|
properties |
object (map<string, string>) Query properties. |
TLSConfig
|
Field |
Description |
|
trustedCertificates[] |
string Trusted CA-certificates. Each element should contain single self-signed CA-certificate or The maximum string length in characters for each value is 8192. The maximum number of elements is 8. |
NetworkConfig
|
Field |
Description |
|
subnetIds[] |
string IDs of VPC network subnets where instances of the cluster are attached. |
|
securityGroupIds[] |
string User security groups. |
|
privateAccess |
Private link configuration for secure connectivity to the cluster. |
PrivateAccessConfig
|
Field |
Description |
|
enabled |
boolean Enables access to the cluster only via private endpoint. |
LoggingConfig
|
Field |
Description |
|
folderId |
string Logs should be written to default log group for specified folder. Value must match the regular expression Includes only one of the fields Destination of log records. |
|
logGroupId |
string Logs should be written to log group resolved by ID. Value must match the regular expression Includes only one of the fields Destination of log records. |
|
enabled |
boolean Logs generated by the Trino components are delivered to Cloud Logging. |
|
minLevel |
enum (Level) Minimum log entry level.
|
MaintenanceWindow
|
Field |
Description |
|
anytime |
object The cluster may be restarted for maintenance at any time. Includes only one of the fields |
|
weeklyMaintenanceWindow |
Maintenance is allowed only within the specified weekly window. Includes only one of the fields |
WeeklyMaintenanceWindow
|
Field |
Description |
|
day |
enum (WeekDay) Day of the week when maintenance can occur.
|
|
hour |
string (int64) Hour of the day in UTC when the maintenance window starts. Acceptable values are 1 to 24, inclusive. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |